import router from './index';
const whiteList = ['/login', '/login/qrcode', '/login/mobile'];
const routers = router.getRoutes().map((item) => {
  return item.path;
});
router.beforeEach(async (to, from, next) => {
  if (!routers.includes(to.path)) {
    //不在定义的路由列表里不能跳转
    next(false);
  }
  let token = localStorage.getItem('token');
  if (token) {
    //已登录
    if (to.path === '/login') {
      next({ path: '/' });
    } else {
      next();
    }
  } else {
    //未登录
    if (whiteList.indexOf(to.path) !== -1) {
      // 在免登录白名单，直接进入
      next();
    } else {
      // 否则全部重定向到登录页
      next(`/login`);
    }
  }
});
