let data = {
  project: {
    jump: '立定跳远',
    longjump: '急行跳远',
    verticaljump: '纵跳摸高',
    pullup: '引体向上',
    situp: '仰卧起坐',
    trijump: '三级蛙跳',
    sidepullup: '斜身引体',
    jumprope: '跳绳',
    jumpingjack: '开合跳',
    solidball: '实心球',
    shotput: '铅球',
    run50: '50米',
    run60: '60米',
    run70: '70米',
    run100: '100米',
    run200: '200米',
    run400: '400米',
    run800: '800米',
    runa800: '脚环800',
    runa1000: '脚环1000',
    run1000: '1000米',
    skiprope: '蓝牙跳绳',
    heartbeat: '心率监测',
    bmi: 'BMI',
    sitforbend: '坐位体前屈',
    vitalcap: '肺活量',
    run15x4: '15x4往返跑',
    run50x8: '50x8往返跑',
    run10x4: '10x4往返跑',
    swim100: '游泳100米',
    swim200: '游泳200米',
    footballv1: '足球',
    basketballv1: '篮球',
    volleyball: '排球',
    pingpong: '乒乓球',
    badminton: '羽毛球',
    tennis: '网球',
    wushu: '武术',
    gymnastic: '体操',
    grip: '肌力'
  },
  unit: {
    jump: '厘米',
    longjump: '米',
    verticaljump: '厘米',
    solidball: '米',
    shotput: '米',
    trijump: '米',
    run50: '秒',
    run70: '秒',
    run100: '秒',
    run200: '秒',
    run400: '秒',
    run800: '秒',
    run1000: '秒',
    runa800: '秒',
    runa1000: '秒',
    basketballv1: '秒',
    situp: '个',
    pullup: '个',
    sidepullup: '个',
    jumprope: '个',
    jumpingjack: '个',
    skiprope: '个',
    heartbeat: '次/分',
    bmi: '',
    sitforbend: '厘米',
    vitalcap: '毫升',
    grip: '千克力'
  },
  // 如果没有统一的结果key,  以下每个项目的结果key  .  如: 立定跳远 jump 的结果key为distance
  typeResultKey: {
    jump: 'distance',
    longjump: 'distance',
    verticaljump: 'height',
    trijump: 'distance',
    pullup: 'counts',
    situp: 'counts',
    sidepullup: 'counts',
    solidball: 'distance',
    shotput: 'distance',
    run50: 'times',
    run70: 'times',
    run100: 'times',
    run200: 'times',
    run400: 'times',
    run800: 'time',
    run1000: 'time',
    jumprope: 'counts',
    jumpingjack: 'counts',
    skiprope: 'counts',
    heartbeat: 'counts',
    bmi: 'bmi',
    sitforbend: 'result',
    vitalcap: 'result',
    footballv1: 'result',
    basketballv1: 'result',
    volleyball: 'result',
    pingpong: 'result',
    badminton: 'result',
    runa800: 'result',
    runa1000: 'result'
  },

  gradeLists: [
    {
      label: '小学',
      value: 1,
      child: [
        { value: 'one', label: '一年级' },
        { value: 'two', label: '二年级' },
        { value: 'three', label: '三年级' },
        { value: 'four', label: '四年级' },
        { value: 'five', label: '五年级' },
        { value: 'six', label: '六年级' }
      ]
    },
    {
      label: '初中',
      value: 2,
      child: [
        { value: 'm_one', label: '初一' },
        { value: 'm_two', label: '初二' },
        { value: 'm_three', label: '初三' }
      ]
    },
    {
      label: '高中',
      value: 3,
      child: [
        { value: 'h_one', label: '高一' },
        { value: 'h_two', label: '高二' },
        { value: 'h_three', label: '高三' }
      ]
    },
    {
      label: '大学',
      value: 4,
      child: [
        { value: 'u_one', label: '大一' },
        { value: 'u_two', label: '大二' },
        { value: 'u_three', label: '大三' },
        { value: 'u_four', label: '大四' }
      ]
    },
    {
      label: '小学初中',
      value: 5,
      child: [
        { value: 'one', label: '一年级' },
        { value: 'two', label: '二年级' },
        { value: 'three', label: '三年级' },
        { value: 'four', label: '四年级' },
        { value: 'five', label: '五年级' },
        { value: 'six', label: '六年级' },
        { value: 'm_one', label: '初一' },
        { value: 'm_two', label: '初二' },
        { value: 'm_three', label: '初三' }
      ]
    },
    {
      label: '初中高中',
      value: 6,
      child: [
        { value: 'm_one', label: '初一' },
        { value: 'm_two', label: '初二' },
        { value: 'm_three', label: '初三' },
        { value: 'h_one', label: '高一' },
        { value: 'h_two', label: '高二' },
        { value: 'h_three', label: '高三' }
      ]
    },
    {
      label: '小学初中高中',
      value: 7,
      child: [
        { value: 'one', label: '一年级' },
        { value: 'two', label: '二年级' },
        { value: 'three', label: '三年级' },
        { value: 'four', label: '四年级' },
        { value: 'five', label: '五年级' },
        { value: 'six', label: '六年级' },
        { value: 'm_one', label: '初一' },
        { value: 'm_two', label: '初二' },
        { value: 'm_three', label: '初三' },
        { value: 'h_one', label: '高一' },
        { value: 'h_two', label: '高二' },
        { value: 'h_three', label: '高三' }
      ]
    }
  ],

  projectNote: {
    jump: '<p><span style="color: #13ED84">预摆：</span>上下肢动作协调配合，摆动时一伸二屈降重心，上体稍前倾。</p><p><span style="color: #13ED84">空展体：</span>蹬地快速有力，腿蹬和手摆要协调，空中展体要充分，待身体完全展开后，收腹屈膝。</p><p><span style="color: #13ED84">落地缓冲：</span>小腿前伸的时机把握好，曲腿前伸臂后摆，落地后往前不往后。</p>',
    longjump:
      '<p><span style="color: #13ED84">起跳：</span>起跳时，身体要正对着前方，不要偏向一侧。同时，起跳方向应该与身体的方向保持一致。踏板时，要用前脚掌迅速而有力地踩踏板，以产生足够的爆发力。</p><p><span style="color: #13ED84">腾空：</span>在腾空阶段，要控制好身体的姿态，保持身体的平衡和稳定。同时控制好身体的重心，以避免在落地时失去平衡。</p><p><span style="color: #13ED84">落地：</span>收腹举腿，小腿往前伸，同时双臂用力往后摆动，并屈膝落地缓冲。</p>',
    verticaljump:
      '<p><span style="color: #13ED84">预摆：</span>两脚左右开立，与肩同宽，两臂前后摆动，前摆时，两腿伸直，后摆时，屈膝降低重心，上体稍前倾，手尽量往后摆。</p><p><span style="color: #13ED84">起跳腾空：</span>蹬地快速有力，腿蹬和手摆要协调，空中展体要充分，强调离地前的前脚掌瞬间蹬地动作</p><p><span style="color: #13ED84">落地缓冲：</span>落地时用前脚掌着地屈膝缓冲。</p>',
    pullup:
      '<p><span style="color: #13ED84">发力：</span>发力时要注意使用背部肌肉，而不是手臂肌肉。注意肩胛骨收缩，找到背部发力的感觉。</p><p><span style="color: #13ED84">呼吸：</span>向上拉起时呼气，放下时吸气。不要憋气或屏住呼吸，会影响身体的血液循环和氧气供应。</p><p><span style="color: #13ED84">姿势：</span>姿势要保持一条直线，不要弯曲或扭曲身体。同时，注意放松身体，不要过度紧张或用力过猛。</p>',
    situp:
      '<p><span style="color: #13ED84">准备姿势：</span>仰卧，两腿屈膝，腿稍分开，屈膝呈90度，两手贴于耳朵后，两手的作用是托住颈部，使颈部保持微微前屈的姿势。</p><p><span style="color: #13ED84">上体前屈：</span>卷腹前屈至双手肘碰到膝关节的位置，着重要使用腰腹力量，而不是用手掰脖子。同时臀部贴地，膝关节并拢。</p><p><span style="color: #13ED84">上体仰卧：</span>上体向后倒至身体的双肩背部同时触垫。</p><p><span style="color: #13ED84">呼吸节奏：</span>向后倒时吸气，往前屈体时呼气</p>',
    trijump:
      '<p><span style="color: #13ED84">预摆：</span>两脚左右开立，与肩同宽，两臂前后摆动，前摆时，两腿伸直，后摆时，屈膝降低重心（大腿与小腿夹角90度左右），上体稍前倾，手尽量往后摆。</p><p><span style="color: #13ED84">第一、二跳：</span>落地重心不能太低，否则下一级会跳不起来，要做到快速跳跃，前脚掌落地，落地的瞬间，手臂迅速有力的向上摆动，带动身体快速跳跃。</p><p><span style="color: #13ED84">第三跳：</span>两脚快速用力蹬地，同时两臂稍屈由后往前上方摆动，向前上方跳起腾空，并充分展体。</p>',
    sidepullup:
      '<p><span style="color: #13ED84">预备：</span>面向单杠，自然站立，两手分开与肩同宽，正握杠，两腿前伸，两脚着地并由同伴压住两脚，保持两臂与躯干呈90°，身体斜向下垂。</p><p><span style="color: #13ED84">发力：</span>使用上肢力量和背部力量，身体要保持挺直，不得塌腰和挺腹。</p><p><span style="color: #13ED84">呼吸：</span>向上拉起时呼气，放下时吸气。不要憋气或屏住呼吸，会影响身体的血液循环和氧气供应。</p>',
    jumprope:
      '<p><span style="color: #13ED84">上身：</span>要保持正直，目视前方一米处。采取单脚交替跳时，上体自然下压，尽可能的做到“挺胸、塌腰、翘臀”。</p><p><span style="color: #13ED84">摇绳：</span>大臂要贴紧身体，小臂放在大腿侧前方。利用手腕“外旋内转“摇绳，可提高摇绳速度。摇绳时，切忌手腕外翻掌心朝前，容易导致小臂外侧肌肉紧张酸痛，影响摇绳速度。</p><p><span style="color: #13ED84">脚落地：</span>脚在落地时切忌前后移动，用前脚掌着地，以减少失误。</p>',
    jumpingjack:
      '<p><span style="color: #13ED84">站姿准备：</span>开始时，双脚并拢，脚尖微微向前，双臂自然下垂，身体保持直立。</p><p><span style="color: #13ED84">双手上举：</span>双手从身体两侧向上举至头顶，掌心相对，手臂伸直。</p><p><span style="color: #13ED84">跳起：</span>用脚尖发力，向上跳起，同时双臂从两侧打开至头顶并伸直。</p><p><span style="color: #13ED84">落地：</span>落地时，用前脚掌着地，膝盖微屈，以吸收冲击力。</p>',
    solidball:
      '<p><span style="color: #13ED84">持球：</span>两手用手指包球，两手心空出，大拇指交叉或并排放在球底，小指放在球的两侧，其余六手指对称来托球。</p><p><span style="color: #13ED84">预摆：</span>球依次是从前下方经过胸前至头后上方，充分挺宽、展肩，身体形成反弓形，同时吸气。</p><p><span style="color: #13ED84">投掷：</span>预摆结束时两手握球用力积极从后上方向前上方前摆，此时的动作特点是蹬腿、送髋、腰腹急震用力，两臂用力前摆并向前拨指和腕，旨在提高手臂的鞭打速度。</p>',
    shotput:
      '<p><span style="color: #13ED84">握球：</span>把球放在食指、中指和无名指的指根上，大拇指和小指支撑在球的两侧，以防止球的滑动和便于控制出球的方向。</p><p><span style="color: #13ED84">预摆：</span>身体左侧对投掷方向，两脚左右开立比肩稍宽，左脚尖指向斜前方并与右脚弓在一直线上；右膝弯曲，上体向右倾斜扭转，重心落在右腿上；左臂微屈于胸前，使球的垂直线离开右脚外侧，以加长用力距离和拉紧左侧肌肉。</p><p><span style="color: #13ED84">推球：</span>右脚迅速用力蹬地，脚跟提起，右膝内转，右髋前送，使上体向左侧抬起，朝着投掷方向转动。球离手时手腕要用力，并用手指拨球。</p>',
    run50: '50米',
    run60: '60米',
    run70: '70米',
    run100: '100米',
    run200: '200米',
    run400: '400米',
    run800: '800米',
    runa800: '脚环800',
    runa1000: '脚环1000',
    run1000: '1000米',
    skiprope: '蓝牙跳绳',
    heartbeat: '心率监测',
    bmi: 'BMI',
    sitforbend: '坐位体前屈',
    vitalcap: '肺活量',
    run15x4: '15x4往返跑',
    run50x8: '50x8往返跑',
    run10x4: '10x4往返跑',
    swim100: '游泳100米',
    swim200: '游泳200米',
    footballv1:
      '<p><span style="color: #13ED84">熟悉球性：</span>带球散步，让球能跟着你走，再带球慢跑，能把球带上，但不能离开脚的控制，接着学会内脚侧运球，左右脚交替运球。</p><p><span style="color: #13ED84">绕杆练习：</span>尽量让球绕着杆边过，让球以最短的路线运行。绕杆变向之前的推球不能太大，用外脚背推球变向，向左用左脚、向右用右脚。带球频率要快，推球不能离开脚太大，否则会失控。</p>',
    basketballv1:
      '<p><span style="color: #13ED84">运球：</span>运球时用手掌的边缘触球，手掌心不能触球；发力时，手指、手腕控制球的方向和速度；运球时身体重心要低，腰要直；非运球手、臂抬起保护球。</p><p><span style="color: #13ED84">身体姿态：</span>保持正确的身体姿势，体会手按拍和迎引球的动作，抬头，用眼余光看球。运球时手臂动作的放松和紧张要交替进行，掌握好手触球的位置和力量。</p>',
    volleyball:
      '<p><span style="color: #13ED84">垫球发力：</span>垫球时根据落球力量、速度和垫击的距离，掌握好手臂迎击球的用力和缓冲作用。如落球速度慢或垫击球的距离较远时，垫击用力大些，必须加大抬臂击球动作，来增加球的反弹力；如落球速度快或垫击距离较近，垫击时，可用力小些，靠球的反弹力量将球垫起；如落球速度大，为了缓冲来球力量。<p><p><span style="color: #13ED84">击球部位：</span>正面双手垫球的击球点一般应保持在腹前一臂远距离，用小臂前半部腕关节以上内侧平面去击球。</p>',
    pingpong: '乒乓球',
    badminton: '羽毛球',
    tennis: '网球',
    wushu: '武术',
    gymnastic: '体操',
    grip: '肌力'
  }
};
export default data;
